﻿var chartJS = {
    chart: null,
    ctx: null,

    option: {
        scales: {
            yAxes: [{
                ticks: {
                    beginAtZero: true
                }
            }]
        },
        maintainAspectRatio: false,
        legend: {
            display: false
        }
    },

    data: {
        labels: ['янв', 'фев', 'март', 'апр', 'май', 'июнь', 'июль', 'авг', 'сент', 'окт', 'нояб', 'дек'],
        datasets: [{
            //label: '',
            data: [10, 19, 3, 5, 2, 3, 10, 19, 3, 0, 0, 0],
            backgroundColor: [
                'rgba(255, 99, 132, 0.2)', // для типа line цвет оставляем только первый
                'rgba(54, 162, 235, 0.2)',
                'rgba(255, 206, 86, 0.2)',
                'rgba(75, 192, 192, 0.2)',
                'rgba(153, 102, 255, 0.2)',
                'rgba(255, 159, 64, 0.2)',
                'rgba(255, 99, 132, 0.2)',
                'rgba(54, 162, 235, 0.2)',
                'rgba(255, 206, 86, 0.2)',
                'rgba(75, 192, 192, 0.2)',
                'rgba(153, 102, 255, 0.2)',
                'rgba(255, 159, 64, 0.2)'
            ],
            borderColor: [
                'rgba(255, 99, 132, 1)',
                'rgba(54, 162, 235, 1)',
                'rgba(255, 206, 86, 1)',
                'rgba(75, 192, 192, 1)',
                'rgba(153, 102, 255, 1)',
                'rgba(255, 159, 64, 1)',
                'rgba(255, 99, 132, 1)',
                'rgba(54, 162, 235, 1)',
                'rgba(255, 206, 86, 1)',
                'rgba(75, 192, 192, 1)',
                'rgba(153, 102, 255, 1)',
                'rgba(255, 159, 64, 1)'
            ],
            borderWidth: 2
        }]
    },

    start: function () {
        this.ctx = document.getElementById('chartjs').getContext('2d');
        this.chart = new Chart(this.ctx, {
            type: 'line',
            data: this.data,
            options: this.option
        });
    },

    changeData: function (_data) {
        this.chart.data.datasets[0].data = _data;
        this.chart.update();
    },

    changeType: function (_type) {
        // Since you can't update chart type directly in Charts JS you must destroy original chart and rebuild
        this.chart.destroy();
        this.chart = new Chart(this.ctx, {
            type: _type,
            data: this.data,
            options: this.option
        });
    }
};
